/* Copyright rgorton 2019
 *  oslimits.h: workaround for symbols in libc which are missing in PIN 3.x libc-dynamic
 *          and required by the path profiling tool
 *
 *  These include: fstat(), stat()
 *
 *  For the path profiling tool, I am using PureDB, which makes a number of direct calls
 *  to libc, which is not permitted
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include "pin.H"

#ifdef __cplusplus__
    extern "C" {
#endif
int fstat(int fd, struct stat *statbuf);
int fstat_for_size(int fd, struct stat *statbuf);
int stat(const char *path, struct stat *statbuf);
#ifdef __cplusplus__
    }
#endif
